Trade
Query parameters
osnstringOptionalExample:
1pageintegerOptionalExample:
1limitintegerOptionalExample:
20Responses
200
Successful response
application/json
codeintegerOptionalExample:
200msgstringOptionalExample:
success500
Fail response
application/json
get/trade/list
GET /trade/list HTTP/1.1
Accept: */*
{
"code": 200,
"msg": "success",
"data": {
"list": [
{
"id": 1,
"osn": "text",
"uid": 1,
"wid": 1,
"pid": 1,
"cid": "NA",
"type": 1,
"action": 1,
"amt": 1,
"fee": 1,
"cuy": 840,
"status": "NA",
"complete_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z"
}
],
"count": 20
}
}Query parameters
idintegerOptionalExample:
1Responses
200
Successful response
application/json
codeintegerOptionalExample:
200msgstringOptionalExample:
success500
Fail response
application/json
get/trade/info
GET /trade/info HTTP/1.1
Accept: */*
{
"code": 200,
"msg": "success",
"data": {
"id": 1,
"osn": "text",
"uid": 1,
"wid": 1,
"pid": 1,
"cid": "NA",
"type": 1,
"action": 1,
"amt": 1,
"fee": 1,
"cuy": 840,
"status": "NA",
"complete_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z"
}
}Body
pidintegerOptionalExample:
1amtnumberOptionalExample:
18.2widintegerOptionalExample:
1osnstringOptionalExample:
t_123456Responses
200
Successful response
application/json
codeintegerOptionalExample:
200msgstringOptionalExample:
success500
Fail response
application/json
post/trade/create
POST /trade/create HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"pid": 1,
"amt": 18.2,
"wid": 1,
"osn": "t_123456"
}{
"code": 200,
"msg": "success"
}Body
cidintegerOptionalExample:
1amtnumberOptionalExample:
18.2widintegerOptionalExample:
1osnstringOptionalExample:
t_123456Responses
200
Successful response
application/json
codeintegerOptionalExample:
200msgstringOptionalExample:
success500
Fail response
application/json
post/trade/recharge
POST /trade/recharge HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"cid": 1,
"amt": 18.2,
"wid": 1,
"osn": "t_123456"
}{
"code": 200,
"msg": "success"
}Last updated
Was this helpful?